//
//  setup_axis_dlg.cpp - setup axis dialog class implementation
//
//  $Id: setup_axis_dlg.cpp 1 2007-04-15 22:52:37Z brian $ 
//
//  Copyright (c) 1999-2007 by Precision Micro Control Corp. All rights reserved.
//
#include "stdafx.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

//
// CSetupAxes dialog
//
CSetupAxes::CSetupAxes(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupAxes::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupAxes)
	m_XAxisNum = 0;
	m_YAxisNum = 0;
	m_ZAxisNum = 0;
	m_UAxisNum = 0;
	m_VAxisNum = 0;
	m_WAxisNum = 0;
	m_UScale = "";
	m_VScale = "";
	m_WScale = "";
	m_XScale = "";
	m_YScale = "";
	m_ZScale = "";
	m_USlaveNum = 0;
	m_VSlaveNum = 0;
	m_WSlaveNum = 0;
	m_XSlaveNum = 0;
	m_YSlaveNum = 0;
	m_ZSlaveNum = 0;
	//}}AFX_DATA_INIT
}

void CSetupAxes::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupAxes)
	DDX_Text(pDX, IDC_XAXISNUM, m_XAxisNum);
	DDV_MinMaxInt(pDX, m_XAxisNum, 0, 8);
	DDX_Text(pDX, IDC_YAXISNUM, m_YAxisNum);
	DDV_MinMaxInt(pDX, m_YAxisNum, 0, 8);
	DDX_Text(pDX, IDC_ZAXISNUM, m_ZAxisNum);
	DDV_MinMaxInt(pDX, m_ZAxisNum, 0, 8);
	DDX_Text(pDX, IDC_UAXISNUM, m_UAxisNum);
	DDV_MinMaxInt(pDX, m_UAxisNum, 0, 8);
	DDX_Text(pDX, IDC_VAXISNUM, m_VAxisNum);
	DDV_MinMaxInt(pDX, m_VAxisNum, 0, 8);
	DDX_Text(pDX, IDC_WAXISNUM, m_WAxisNum);
	DDV_MinMaxInt(pDX, m_WAxisNum, 0, 8);
	DDX_Text(pDX, IDC_USCALE, m_UScale);
	DDX_Text(pDX, IDC_VSCALE, m_VScale);
	DDX_Text(pDX, IDC_WSCALE, m_WScale);
	DDX_Text(pDX, IDC_XSCALE, m_XScale);
	DDX_Text(pDX, IDC_YSCALE, m_YScale);
	DDX_Text(pDX, IDC_ZSCALE, m_ZScale);
	DDX_Text(pDX, IDC_USLAVENUM, m_USlaveNum);
	DDV_MinMaxInt(pDX, m_USlaveNum, 0, 8);
	DDX_Text(pDX, IDC_VSLAVENUM, m_VSlaveNum);
	DDV_MinMaxInt(pDX, m_VSlaveNum, 0, 8);
	DDX_Text(pDX, IDC_WSLAVENUM, m_WSlaveNum);
	DDV_MinMaxInt(pDX, m_WSlaveNum, 0, 8);
	DDX_Text(pDX, IDC_XSLAVENUM, m_XSlaveNum);
	DDV_MinMaxInt(pDX, m_XSlaveNum, 0, 8);
	DDX_Text(pDX, IDC_YSLAVENUM, m_YSlaveNum);
	DDV_MinMaxInt(pDX, m_YSlaveNum, 0, 8);
	DDX_Text(pDX, IDC_ZSLAVENUM, m_ZSlaveNum);
	DDV_MinMaxInt(pDX, m_ZSlaveNum, 0, 8);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetupAxes, CDialog)
	//{{AFX_MSG_MAP(CSetupAxes)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetupAxes message handlers
